import React, { Component, useState, useEffect, useRef } from 'react';
import { Card, Row, Col, Statistic, Icon, Tabs, Form, Select, Button, Input } from 'antd';
// import IndexEcharts from './components/indexEcharts';
// import Swiper from './swiper/index';
import moment from 'moment';
import router from 'umi/router';
import request from '@/utils/request';
import apis from '@/services/apis';
import TimeSelect from '../../compents/TimeSelect';
import BuildingSelect from '@/components/SelectButton/BuildSelect';
import Navigate from '@/components/Navigate';
import ActivityCount from '../compents/activityCount';
import NewUsers from '../compents/NewUsers';
import OverviewDeatil from '../compents/OverviewDeatil';
import ContentTable from '../compents/ContentTable';
// import Count from './components/Count';
// import SourceRole from './components/SourceRole';
// import UserSex from './components/UserSex';
// import UserConversion from './components/UserConversion';
// import BuildingStatistic from './BuildingStatistic';
const { TabPane } = Tabs;
const { Option } = Select;

const activityOverView = props => {
  const timeRef = useRef();

  const [data, setData] = useState({});
  const [serachData, setSearchData] = useState({
    startDate:
      moment()
        .subtract(7, 'day')
        .format('YYYY-MM-DDT00:00:00.000') + 'Z',
    endDate: moment().format('YYYY-MM-DDT23:59:59.999') + 'Z',
  });
  const [timeValue, setTimeValue] = useState();

  const [time, setTime] = useState();

  //重置搜索
  const handleReset = e => {
    props.form.resetFields();
    timeRef.current.reset();
    setSearchData({
      startDate:
        moment()
          .subtract(7, 'day')
          .format('YYYY-MM-DDT00:00:00.000') + 'Z',
      endDate: moment().format('YYYY-MM-DDT23:59:59.999') + 'Z',
    });
  };

  const onTimeChange = e => {
    setTime(e);
  };
  const handleSubmit = e => {
    props.form.validateFieldsAndScroll((err, values) => {
      setTimeValue();
      setSearchData({
        ...values,
        startDate: moment(time[0]).format('YYYY-MM-DDT00:00:00.000') + 'Z',
        endDate: moment(time[1]).format('YYYY-MM-DDT23:59:59.999') + 'Z',
      });
    });
  };

  const { getFieldDecorator } = props.form;
  console.log(timeValue, 'timeValue');
  return (
    <div>
      <Form layout="inline" onSubmit={handleSubmit}>
        <Form.Item>
          <TimeSelect onChange={onTimeChange} ref={timeRef}></TimeSelect>
        </Form.Item>
        <Form.Item>{getFieldDecorator('buildingId')(<BuildingSelect allowClear />)}</Form.Item>
        <Form.Item>
          {getFieldDecorator('targetType')(
            <Select placeholder="活动类型" allowClear style={{ width: 150, marginLeft: '20px' }}>
              <Option value="dymic">报名</Option>
              <Option value="look">带看</Option>
              <Option value="house">团房</Option>
              <Option value="live">直播</Option>
            </Select>,
          )}
        </Form.Item>
        <Form.Item>
          {getFieldDecorator('activityName')(<Input placeholder="请输入活动名称" />)}
        </Form.Item>
        <Form.Item>
          <Button type="primary" htmlType="submit" style={{ marginLeft: '30px' }}>
            搜索
          </Button>
          <Button onClick={e => handleReset()} style={{ marginLeft: '30px' }}>
            重置
          </Button>
        </Form.Item>
      </Form>
      <div style={{ marginTop: '20px' }}>
        <ContentTable params={serachData}></ContentTable>
      </div>
    </div>
  );
};

const WrappedTypeForm = Form.create()(activityOverView);
export default WrappedTypeForm;
