import React, { Component, useState, useEffect } from 'react';
import { Card, Row, Col, Statistic, Icon } from 'antd';
// import IndexEcharts from './components/indexEcharts';
// import Swiper from './swiper/index';
import router from 'umi/router';
import request from '@/utils/request';
import apis from '@/services/apis';
import Count from './components/Count';
import SourceRole from './components/SourceRole';
import UserSource from './components/UserSource';
import UserBehavior from './components/UserBehavior';
import UserActive from './components/UserActive';

import UserSex from './components/UserSex';
import UserConversion from './components/UserConversion';
import NewUsers from './components/NewUsers';

import BuildingStatistic from './BuildingStatistic';
import CityNums from './CityNums';
import IntentionalCustomers from './components/IntentionalCustomers';

const DataReport = props => {
  const [data, setData] = useState([]);

  return (
    <>
      <div style={{ marginBottom: '20px' }}>
        <Count></Count>
      </div>
      <div style={{ marginBottom: '20px' }}>
        <Row gutter={16} style={{ textAlign: 'center' }}>
          <Col span={16}>
            <UserSource></UserSource>
          </Col>
          <Col span={8}>
            <SourceRole></SourceRole>
          </Col>
        </Row>
      </div>
      <div style={{ marginBottom: '20px' }}>
        <CityNums></CityNums>
      </div>
      <div style={{ marginBottom: '20px' }}>
        <UserBehavior></UserBehavior>
      </div>
      <div style={{ marginBottom: '20px' }}>
        <Row gutter={16} style={{ textAlign: 'center' }}>
          <Col span={16}>
            <UserActive></UserActive>
          </Col>
          <Col span={8}>
            <UserSex></UserSex>
          </Col>
        </Row>
      </div>
      <div style={{ marginBottom: '20px' }}>
        <Row gutter={16} style={{ textAlign: 'center' }}>
          <Col span={16}>
            <NewUsers></NewUsers>
          </Col>
          <Col span={8}>
            <UserConversion></UserConversion>
          </Col>
        </Row>
      </div>
       <div style={{ marginBottom: '20px' }}>
        <IntentionalCustomers></IntentionalCustomers>
      </div>
      
      {/* <div style={{ marginBottom: '20px' }}>
        <BuildingStatistic></BuildingStatistic>
      </div> */}
    </>
  );
};
export default DataReport;
